 /*	Sosa V-2-7-9-1
 *   for WT 1.7.9-1
 *  add a navigation bar for sosa only
 *	V-1-0-1 add features in the sidebar 
 *	for sosa V-2-7-9-1 for WT 1.7.9
 *
 *  Andre DUMAS 25-05-2017 FRANCE
 *  =.=.=.=.=.=.=.=.=.=.=.=.=.=.=.=.=.=.=.=
 *  =	André DUMAS FRANCE				  =
 *  = http://www.adumas.1s.fr/wt/		  =
 *  =  http://www.adumas.1s.fr/download/  =
 *  = contact: a.dumas1  at  free.fr	  =
 *  =.=.=.=.=.=.=.=.=.=.=.=.=.=.=.=.=.=.=.=
 */


$(document).ready(function(){

/* var tree
*  var pid 
*  var modName 
*  var root
*  var roottable
* Father Mother Child Husband Wife
*  var sosaNum : sosa on the page
*  var userid
var ChooseDeCujus
* trasmitted from module.php
*/

	var orig = pid;
	//sosa Nav
	var UpF = '';
	var UpM  = '';
	var DwC = '';
	var Sp  = '';

	function double(x){return 2*x;}
	var child = parseInt(sosaNum/2);
	
	var wife = false;
	var sosaSp;
	if ((sosaNum % 2) == 0) {wife = true; sosaSp = parseInt(sosaNum) + parseInt(1) ;} else {sosaSp = parseInt(sosaNum) - parseInt(1);
	} 

	//visitor....
	var user = '';
	if (userid == ''){user = 'visitor';}
	
	var prefix = 'individual.php?';	
	var path = 'module.php?mod=' + modName + '&mod_action=sosaNav';
	var pathUpdate = 'module.php?mod=' + modName + '&mod_action=sosaUpdate';

	$("div#sosawait").hide();
	
	//Cohérence...
	if ( ((root != roottable) || (typeof(root) == 'undefined') || (typeof(roottable) == 'undefined')) && (user != 'visitor') ){ 
	alert(ChooseDeCujus);
		$("div#sb_content_sosa").show();  //open sidebar
	}

	
$("#dcadminok").on('click', function(){
	if ($("input#xref").val() == ''){
		return false;
	} else {
		return true;
	}
});	
	
//init nav bar	
	$.ajax ({
			url : path,
			dataType: 'json',
			type : 'POST',	
			data: 'sosa=' + sosaNum, 
			success : function(data) {
				$.each(data, function(index, value){ 
					if (index == child){
						DwC = value;
					} else {
						if (index == double(sosaNum)) {						
							UpF = value;												
						} else {
							if (index == (double(sosaNum) + parseInt(1))){
							UpM = value;	
							} else {
								if (index == sosaSp){
									Sp = value;
								}
							}
						
					}
					}
					
				});		
			}	
		});		
	
/*
*   update sosa table
*   change decujus
*/	

$("input#sosaOK").on('click', function(e){
	e.preventDefault();
	var pid = $("input#xref").val();
	showwait();
	if (pid != ''){
		$.ajax ({
			url : pathUpdate,
			dataType: 'html',
			type : 'POST',	
			data: 'pid=' + pid, 
			success : function() {
				$("input#xref").val('');
				$("div#choosedecujus").hide();
				$("div.overlay").hide();
				document.location.href= prefix + 'pid=' + pid + '&ged=' + tree ;
			}	
		});		
	}
});

$("input#xref").keypress(function(e){
    if( e.which == 13 ){
        var pid = $("input#xref").val();
		if (pid != ''){	
		showwait();
			$.ajax ({
				url : pathUpdate,
				dataType: 'html',
				type : 'POST',	
				data: 'pid=' + pid, 
				success : function() {
					$("input#xref").val('');
					$("div#choosedecujus").hide();
					$("div.overlay").hide();
					document.location.href= prefix + 'pid=' + pid + '&ged=' + tree ;
				}	
			});		
		}	
    }
});

//update table


/*
*	Barre sosanav
*	located before #main
*/

 
  sosanav = '<div i class="" id="sosanav"><table cellspacing="2" class="center"><tr class="font9">' ;
   sosanav += '<td class="" id="bsosaupF">' + Father + '</td>' + 
			   '<td id="bsosaupM">' + Mother + '</td>';
 sosanav += '<td id="bsosadown">' + Child + '</td>';
 sosanav += '<td id="bsosarev">' + Husband + ' <-> ' + Wife + '</td>' +
     '</tr></table></div>' ;
	 

if (navDiv){  
  $("#indi_header").after(sosanav);
}

$("#bsosaupF").on('click', function(){
	if (UpF != ''){
	document.location.href= prefix + 'pid=' + UpF + '&ged=' + tree ;
	}
});

$("#bsosaupM").on('click', function(){
	if (UpM != ''){
	document.location.href= prefix + 'pid=' + UpM + '&ged=' + tree ;
	}
});

$("#bsosadown").on('click', function(){
	if (DwC != ''){
	document.location.href= prefix + 'pid=' + DwC + '&ged=' + tree ;
	}
});

$("#bsosarev").on('click', function(){
	if (Sp != ''){
	document.location.href= prefix + 'pid=' + Sp + '&ged=' + tree ;
	}
});

/*  bar sosa fin */



$("span#spanupds").on('click', function(e){ 
	showwait();
		$.ajax ({
			url : pathUpdate,
			dataType: 'html',
			type : 'POST',	
			data: 'pid=' + 'root', 
			success : function() {
				$("input#xref").val('');
				document.location.href= prefix + 'pid=' + orig + '&ged=' + tree ;
			}	
		});		

});

$("span#spanthis").on('click', function(e){	
		showwait();
		$.ajax ({
			url : pathUpdate,
			dataType: 'html',
			type : 'POST',	
			data: 'pid=' + pid, 
			success : function() {
				$("input#xref").val('');
				document.location.href= prefix + 'pid=' + pid + '&ged=' + tree ;
			}	
		});		

});

$("span#spancdc").on('click', function(){
	$("div.overlay").show();
	$("div#choosedecujus").center();
	$("div#choosedecujus").show();
});



$("input#sosainput").keypress(function(e){
    if( e.which == 13 ){
        treat_sosa();
    }
});

$("input#inputsosaok").on('click', function(){	
	 treat_sosa();
});

$("a.lsosa").on('click', function(e){
	e.preventDefault();
	var tlink = 'module.php?mod=' + modName + '&mod_action=lsosa';
	//window.open( tlink,  '', 'height=800,width=800' );
		window.open( tlink );
});

function treat_sosa(){
	var sosa = $("input#sosainput").val();
	//exists? 
	if (sosa != ''){
	var path = 'module.php?mod=' + modName + '&mod_action=sosaDisplay';
		$.ajax({
			url: path,
			type:'POST',
			data: 'sosa=' + sosa,
			success: function(data){
				if (data != ''){
					document.location.href= prefix + 'pid=' + data + '&ged=' + tree ;
				} else {
					$("input#sosainput").val('');
					alert('sosa ' + sosa +  '  not found');
				}
			}
		});	
	}	
}	
	
jQuery("div.overlay").on('click', function(){
	$("div#choosedecujus").hide();
	$("div.overlay").hide();
	$("div#sosawait").hide();
});	


$.fn.center = function(){
	var fcw = $(this).width();
		var fch = $(this).height();
		$(this).css({ 						
					'top' : (-fch + $(window).height())/2,
					'left' : (-fcw + $(window).width())/2
					});
}

function showwait(){
	$("div.overlay").show();
	$("div#sosawait").center();
	$("div#sosawait").show();	
	return true;
}

function cleanscrenn(){
	$("div#choosedecujus").hide();
	$("div.overlay").hide();
	$("div#sosawait").hide();
	return true;
}

//form choose
function getdecujusbody(){
	var path = 'module.php?mod=' + modName + '&mod_action=choosedecujus';
	$.ajax({
		url: path,
		type: 'POST',
		dataType: 'html',
		success: function(data){
			if (data == false){
				cleanscreen();
			} else {
			$("div#choosedecujus").append(data);
			return false;
			}
		}
	});
}

$("div.corpus").tabs();


});