<?php
/*
*   Change Header and Footer for TCPDF
*		in Orphans V-1-7-9-1 for WT 1.7.9+
*		André DUMAS 06-06-2017
*   http://www.adumas.1s.fr/wt
*/
namespace Andre\WebtreesAddOn\Sosa\Template;

use Fisharebest\Webtrees\File;
use Fisharebest\Webtrees\Filter;
use Fisharebest\Webtrees\I18N;

use Andre\WebtreesAddOn\Sosa\sosaModule;

use TCPDF;

	class MYPDF extends TCPDF{
	    //Page header
    public function Header() {
		global $WT_TREE;
		   $titre = $WT_TREE->getName();
			$header = '<div style="width:100%;border-bottom:0px solid black;">'. I18N::translate('List of sosa'). '     :     ' . $titre .'</div>';	
        // Set font
        $this->SetFont('dejavu sans', 'BI', 11);      
	$this->writeHTML($header);
	}

    // Page footer
    public function Footer() {
		$footer = '<div style="width:100%;border-top:0px solid black;"><table>
			<tr><td>' . 'Module "Sosa" for Webtrees @AD 2015-2016-2018';
        // Position at 15 mm from bottom
        $this->SetY(-10);
        // Set font
        $this->SetFont('dejavu sans', 'I', 8);
        // Page number
			$html = '' .
				$footer . '</td>
				<td style="text-align:right;"> Page ' . $this->getAliasNumPage().'/'.$this->getAliasNbPages() . '</td>
			</tr>
			</table>' . 
			'</div>';
			$this->writeHTML($html);
    }
	
	
}
?>